from plone.app.testing import PLONE_FIXTURE
from plone.app.testing import PloneSandboxLayer
from plone.app.testing import IntegrationTesting
from plone.app.testing import FunctionalTesting
from plone.app.testing import applyProfile

from zope.configuration import xmlconfig

class TestGithub(PloneSandboxLayer):

    defaultBases = (PLONE_FIXTURE, )

    def setUpZope(self, app, configurationContext):
        # Load ZCML for this package
        import test.github
        xmlconfig.file('configure.zcml',
                       test.github,
                       context=configurationContext)


    def setUpPloneSite(self, portal):
        applyProfile(portal, 'test.github:default')

TEST_GITHUB_FIXTURE = TestGithub()
TEST_GITHUB_INTEGRATION_TESTING = \
    IntegrationTesting(bases=(TEST_GITHUB_FIXTURE, ),
                       name="TestGithub:Integration")